Module java.base
Package java.security.interfaces

## Interface RSAPublicKey

All Superinterfaces:
  Key, PublicKey, RSAKey, Serializable

    public interface RSAPublicKey
    extends PublicKey, RSAKey

The interface to an RSA public key.

### Field Summary

Fields
`static long` `serialVersionUID` The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

### Method Summary

All Methods Instance Methods Abstract Methods
`BigInteger` `getPublicExponent()` Returns the public exponent.

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Methods inherited from interface java.security.interfaces.RSAKey

`getModulus`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

See Also:
  Constant Field Values

### Method Detail

#### getPublicExponent

    BigInteger getPublicExponent()

Returns the public exponent.

Returns:
  the public exponent